记Mysql升级的一波三折

环境:mysql-5.1.61
        操作系统:Cent-os6.3
目的:升级为mysql 5.6.19
首先,yum是不可行的.因为yum源没更新,我已经使用了163网易的源,但是还是不行.最新版仍然不是5.6.没办法,mysql分区是5.5之后的功能,要使用分区功能,就必须升级..
去官网下载地址:http://dev.mysql.com/downloads/mysql/
我是cent os,选择了Red Hat Enterprise Linux版本.
由于系统是i686的,所以选择i686版本
如果你只是装mysql,那么可以选择mysql-server,我则下载了全部包.
然后服务器安装rpm包
rpm -ivh MySQL-server-5.6.19-1.el6.i686


报错.file /usr/share/mysql/charsets/README from install of MySQL-server-5.6.10-1.linux_glibc2.5.i386conflicts with file from package mysql-libs-5.1.61-4.el6.i686
意思就是mysql-server.rpm包和mysql-libs包冲突了…
很简单,删除mysql-libs包好了,反正也是5.1版本的.
然后继续安装Mysql-server,安装成功
然后开始开启mysql服务.
报错:Connection error: Can’t connect to local MySQL server through socket ‘/var/lib/mysql/mysql.sock’ mysql.sock
查看了mysql日志,说是由于没有文件/var/run/mysql/xxx.看了一下,原来/var/run/mysql都没文件夹,于是建立起来,然后搞定.
不知道密码多少,于是又用mysql_safe来操作,修改密码.详情见http://blog.csdn.net/zouhao619/article/details/7592505
然后修改好密码后,登录,导入数据,提示先让我修改mysql密码,好吧.set password=password(“123456”);
修改好了后,导入数据库.报错:总之就是编码不对…忘记什么错误了…
然后在导入的时候在 设置一下编码导入..搞定…
接下来发现php-mysql没有,yum一下,又需要mysql-libs连接包..这个包又和我发生了冲突.
然后安装好MySQL-shared-compat-5.6.19-1.el6.i686,这个包可以解决这个问题..搞定
安装好了php-mysql.
这个文章记得和流水账一样..没写具体问题原因…因为当时很急,就没记录错误详情…
总结经验,下次记录

标签